/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.gui.controls;

import com.jme3.math.Vector2f;
import com.jme3.math.Vector4f;
import tonegod.gui.controls.windows.Panel;
import tonegod.gui.core.Screen;

/**
 *
 * @author Darth Affe
 */
public class PanelBase extends Panel {

    public PanelBase(Screen screen, Vector2f position) {
        super(screen, position);
        init();
    }

    public PanelBase(Screen screen, Vector2f position, Vector2f dimensions) {
        super(screen, position, dimensions);
        init();
    }

    public PanelBase(Screen screen, Vector2f position, Vector2f dimensions, Vector4f resizeBorders, String defaultImg) {
        super(screen, position, dimensions, resizeBorders, defaultImg);
        init();
    }

    public PanelBase(Screen screen, String UID, Vector2f position) {
        super(screen, UID, position);
        init();
    }

    public PanelBase(Screen screen, String UID, Vector2f position, Vector2f dimensions) {
        super(screen, UID, position, dimensions);
        init();
    }

    public PanelBase(Screen screen, String UID, Vector2f position, Vector2f dimensions, Vector4f resizeBorders, String defaultImg) {
        super(screen, UID, position, dimensions, resizeBorders, defaultImg);
        init();
    }

    private void init() {
        this.setScaleEW(true);
        this.setScaleNS(true);
        this.setDockE(true);
        this.setDockS(true);
    }
}
